The parallel\Events\Input class

- « parallel\Events::poll

- parallel\Events\Input::add »

- PHP Manual
- parallel
- The parallel\Events\Input class

# The parallel\Events\Input class

(0.9.0)

## Events Input

An Input object is a container for data that the parallel\Events object will write to parallel\Channel objects as they become available. Multiple event loops may share an Input container - parallel does not verify the contents of the container when it is set as the input for a parallel\Events object.

> Note:

> When a parallel\Events object performs a write, the target is removed from the input object as if parallel\Events\Input::remove() were called.

## Class synopsis

final class parallel\Events\Input {
public add(string `$target`, mixed `$value`): void
public remove(string `$target`): void
public clear(): void
}

## Table of Contents

- parallel\Events\Input::add — Inputs
- parallel\Events\Input::clear — Inputs
- parallel\Events\Input::remove — Inputs